# Toggle Page Loading

The Toggle page loading is a function in the [elements](/apphive-documentacion/reference/funciones/elements.md) functions which allows to add a page loading to show the user that the app is processing data.

![](/files/-M-jvizLWrrd6w7DwaYh)

{% hint style="info" %}
You can select which loader do you need in the settings page.
{% endhint %}

{% hint style="success" %}
Download loaders in: <https://lottiefiles.com/>
{% endhint %}

### 📥 Entry vars <a href="#entry-vars" id="entry-vars"></a>

* **Only disable:** if you activate the option disable you can turn off the toggle page loading function.
* **Only enable:** if you activate the option enable you can turn on the toggle page loading function.

### 👉 Example. <a href="#examples" id="examples"></a>

![](/files/-M2omOJdrQquSV0BaIA3)

#### Activate a toggle page loading

1. Select and element and add a toggle page loading.
2. Activate the option only enable.

#### Activate a Login function

1. Add a [login](/apphive-documentacion/reference/funciones/users/login.md) function.
2. Select which element the user will use to write an email.
3. Select which element the user will use to write a password.
4. Open the callbacks on the login.
5. Add another toggle page loading in the successful login.
6. Activate the option only disable.

![Before the user login replace the screen with a home page.](/files/-M2om5iB3Z-kwDnOov8W)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/elements/toggle-page-loading.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
